package com.ruoyi.bst.softwareVersion.mapper;

import java.util.List;
import com.ruoyi.bst.softwareVersion.domain.SoftwareVersion;
import com.ruoyi.bst.softwareVersion.domain.SoftwareVersionVO;
import com.ruoyi.bst.softwareVersion.domain.SoftwareVersionQuery;
import org.apache.ibatis.annotations.Param;

/**
 * 软件版本Mapper接口
 *
 * @author ruoyi
 * @date 2025-04-07
 */
public interface SoftwareVersionMapper
{
    /**
     * 查询软件版本
     *
     * @param id 软件版本主键
     * @return 软件版本
     */
    SoftwareVersionVO selectSoftwareVersionById(Long id);

    /**
     * 查询软件版本列表
     *
     * @param query 软件版本
     * @return 软件版本集合
     */
    List<SoftwareVersionVO> selectSoftwareVersionList(@Param("query")SoftwareVersionQuery query);

    /**
     * 新增软件版本
     *
     * @param softwareVersion 软件版本
     * @return 结果
     */
    int insertSoftwareVersion(SoftwareVersion softwareVersion);

    /**
     * 批量新增软件版本
     */
    int batchInsert(@Param("list") List<? extends SoftwareVersion> list);

    /**
     * 批量修改软件版本
     */
    int batchUpdate(@Param("list") List<? extends SoftwareVersion> list);

    /**
     * 修改软件版本
     *
     * @param softwareVersion 软件版本
     * @return 结果
     */
    public int updateSoftwareVersion(@Param("data") SoftwareVersion softwareVersion);

    /**
     * 删除软件版本
     *
     * @param id 软件版本主键
     * @return 结果
     */
    int deleteSoftwareVersionById(Long id);

    /**
     * 批量删除软件版本
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSoftwareVersionByIds(Long[] ids);
}
